GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
base64.c File Reference
`#include "src/core/security/base64.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`

## Macros
#define | GRPC_BASE64_PAD_CHAR '='
#define | GRPC_BASE64_PAD_BYTE 0x7F
#define | GRPC_BASE64_MULTILINE_LINE_LEN 76
#define | GRPC_BASE64_MULTILINE_NUM_BLOCKS (GRPC_BASE64_MULTILINE_LINE_LEN / 4)

## Functions
char * | grpc_base64_encode (const void *vdata, size_t data_size, int url_safe, int multiline)
gpr_slice | grpc_base64_decode (const char *b64, int url_safe)
gpr_slice | grpc_base64_decode_with_len (const char *b64, size_t b64_len, int url_safe)

## Macro Definition Documentation

#define GRPC_BASE64_MULTILINE_LINE_LEN 76

#define GRPC_BASE64_MULTILINE_NUM_BLOCKS (GRPC_BASE64_MULTILINE_LINE_LEN / 4)

#define GRPC_BASE64_PAD_BYTE 0x7F

#define GRPC_BASE64_PAD_CHAR '='

## Function Documentation

gpr_slice grpc_base64_decode | ( | const char * | b64,
|  | int | url_safe
| ) |  |

gpr_slice grpc_base64_decode_with_len | ( | const char * | b64,
|  | size_t | b64_len,
|  | int | url_safe
| ) |  |

char* grpc_base64_encode | ( | const void * | vdata,
|  | size_t | data_size,
|  | int | url_safe,
|  | int | multiline
| ) |  |